package es.cipfpbatoi.modelo;
// Generated 31 ene 2023 11:09:24 by Hibernate Tools 4.3.6.Final

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 * City generated by hbm2java
 */
@Entity
@Table(name = "city", catalog = "sakila")
@Getter @Setter
public class City implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "city_id", unique = true, nullable = false)
	private Short cityId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "country_id", nullable = false)
	private Country country;
	
	@Column(name = "city", nullable = false, length = 50)
	private String city;

	public City() {
	}

	public City(Country country, String city) {
		this.country = country;
		this.city = city;
	}
	
//	public Short getCityId() {
//		return this.cityId;
//	}
//
//	public void setCityId(Short cityId) {
//		this.cityId = cityId;
//	}
//	
//	public Country getCountry() {
//		return this.country;
//	}
//
//	public void setCountry(Country country) {
//		this.country = country;
//	}
//	
//	public String getCity() {
//		return this.city;
//	}
//
//	public void setCity(String city) {
//		this.city = city;
//	}

}
